| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::MessageContentPart Class Reference
Wrapper classes

The MessageContentPart class represents a Telepathy message part. More...

`#include <TelepathyQt/MessageContentPart>`

## Public Member Functions

| MessageContentPart ()
| MessageContentPart (const MessagePart &mp)
| MessageContentPart (const MessageContentPart &other)
| ~MessageContentPart ()
bool | isValid () const
MessageContentPart & | operator= (const MessageContentPart &other)
bool | operator== (const MessageContentPart &other) const
MessagePart | barePart () const

## Detailed Description

The MessageContentPart class represents a Telepathy message part.

## Constructor & Destructor Documentation

## § MessageContentPart() [1/3]

Tp::MessageContentPart::MessageContentPart | ( |  | ) |

## § MessageContentPart() [2/3]

Tp::MessageContentPart::MessageContentPart | ( | const MessagePart & | mp | ) |

## § MessageContentPart() [3/3]

Tp::MessageContentPart::MessageContentPart | ( | const MessageContentPart & | other | ) |

## § ~MessageContentPart()

Tp::MessageContentPart::~MessageContentPart | ( |  | ) |

## Member Function Documentation

## § isValid()

bool Tp::MessageContentPart::isValid | ( |  | ) | const

inline

## § operator=()

MessageContentPart & Tp::MessageContentPart::operator= | ( | const MessageContentPart & | other | ) |

## § operator==()

bool Tp::MessageContentPart::operator== | ( | const MessageContentPart & | other | ) | const

## § barePart()

MessagePart Tp::MessageContentPart::barePart | ( |  | ) | const